import Vue from "vue";
import VueRouter from "vue-router";

Vue.use(VueRouter);

const routes = [
	{
		path: '/',
		redirect: '/situationScreen'
	},
	{
		path: "/situationScreen",
		name: "situationScreen",
		meta: {
			title: '任务大屏'
		},
		component: () => import("../views/situationScreen.vue")
	},
	{
		path: "/taskScreen",
		name: "taskScreen",
		meta: {
			title: '任务大屏'
		},
		component: () => import("../views/taskScreen.vue")
	},
	{
		path: "/historicTaskScreen",
		name: "historicTaskScreen",
		meta: {
			title: '任务大屏'
		},
		component: () => import("../views/historicTaskScreen.vue")
	},
	{
		path: "/monitorScreen",
		name: "monitorScreen",
		meta: {
			title: '监控大屏'
		},
		component: () => import("../views/monitorScreen.vue")
	},
	// {
	// 	path: "/hk",
	// 	name: "videoPlugin",
	// 	meta: {
	// 		title: '海康'
	// 	},
	// 	component: () => import("../components/HkPlugin/videoPlugin.vue")
	// },
	{
		path: '/:pathMatch(.*)',
		meta: {
			title: '404'
		},
		component: () => import("../views/404.vue")
	}

];

const router = new VueRouter({
	routes,
});

export default router;
